local AceGUI = LibStub("AceGUI-3.0")


--------------------------
-- Check Box			--
--------------------------
--[[
	Events :
		OnValueChanged

]]
do
	local Type = "UIF-CheckBox"
	local Version = 2
	
	local function OnRelease(self)
		self.text:SetTextColor(1, 0.82, 0, 1)
		self.text:SetFontObject(GameFontNormal)
		self.OnRelease = self.oldOnRelease
		self:OnRelease()
	end
	
	local function SetFont(self, font, size, flags)
		self.text:SetFont(font, size, flags)
	end
	
	local function SetFontColor(self, color)
		self.text:SetTextColor(unpack(color))
	end
	
	local function Constructor()
		local self = AceGUI:Create("CheckBox")
		
		self.oldOnRelease = self.OnRelease
		self.OnRelease = OnRelease
		
		self.SetFont = SetFont
		self.SetFontColor = SetFontColor
		return self
	end
	
	AceGUI:RegisterWidgetType(Type,Constructor,Version)
end
